%define anolis_release 1

%global pypi_name tensorflow-io-gcs-filesystem

Name:           python-%{pypi_name}
Version:        0.32.0
Release:        %{anolis_release}%{?dist}
Summary:        TensorFlow IO.
License:        Apache License 2.0 
URL:            https://github.com/tensorflow/io
Source0:        https://files.pythonhosted.org/packages/96/77/920d9c132591faeb72c3c3d342c5139ef2d5c6863d2861c4e3927803bcf0/tensorflow_io_gcs_filesystem-0.32.0-cp310-cp310-manylinux_2_12_x86_64.manylinux2010_x86_64.whl

BuildRequires:  python3-devel
BuildRequires:  python3-pip
ExclusiveArch:  x86_64

%description
TensorFlow IO.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
TensorFlow IO.

%prep

%build

%install
mkdir -p %{buildroot}/%{python3_sitearch}
pushd %{buildroot}/%{python3_sitearch}
unzip %{SOURCE0}
popd

cp %{buildroot}%{python3_sitearch}/tensorflow_io_gcs_filesystem-%{version}.dist-info/LICENSE .


%check

%files -n python3-%{pypi_name}
%license LICENSE
%{python3_sitearch}/tensorflow_io_gcs_filesystem/
%{python3_sitearch}/tensorflow_io_gcs_filesystem-%{version}.dist-info/

%changelog
* Tue Jun 20 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 0.32.0-1
- init from upstream
